import java.io.*;
import java.util.*;

public class superstar_pk {

	BufferedReader br;
	PrintWriter out;
	StringTokenizer st;

	public String nextToken() throws IOException {
		while ((st == null) || (!st.hasMoreTokens()))
			st = new StringTokenizer(br.readLine());
		return st.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		assert((1 <= n) && (n <= 100));
		double angle = 2 * Math.PI / n;;
		double r = 10;
		double l = Math.sqrt(2 * r * r - 2 * r * r * Math.cos(angle * 2)) / 2;
		double l1 = Math.sqrt(2 * r * r - 2 * r * r * Math.cos(angle));
		double x1 = Math.sqrt(l1 * l1 - l * l);
		double c = x1 * Math.tan(angle * ((n - 4)) / 4 );
		out.println(r * c * n);
		
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

			br = new BufferedReader(new FileReader("superstar.in"));
			out = new PrintWriter("superstar.out");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new superstar_pk().run();
	}
}